SSL cipher lists

The available ciphers

GET /ciphers

Get all cipher

curl
curl -X GET "https://appliance.example.com/api/v1/ciphers" \
  -H "Authorization: Bearer $TOKEN"
PHP
<?php

$url = 'https://appliance.example.com/api/v1/ciphers';
$headers = [
    'Authorization: Bearer ' . $token,
];

$ch = curl_init($url);
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => $headers,
    CURLOPT_RETURNTRANSFER => true,
]);

$response = json_decode(curl_exec($ch), true);
curl_close($ch);
Python
import requests

headers = {"Authorization": f"Bearer {token}"}

response = requests.get("https://appliance.example.com/api/v1/ciphers", headers=headers)
response.raise_for_status()
print(response.json())
JavaScript
const response = await fetch('https://appliance.example.com/api/v1/ciphers', {
  method: 'GET',
  headers: {
    Authorization: `Bearer ${token}`,
  },
});

const data = await response.json();
Response
{
  "status": "success",
  "message": "Ciphers retrieved successfully",
  "data": {
    "ciphers": []
  }
}

Cipher lists

GET /ciphers/lists

Get all cipher Lists

curl
curl -X GET "https://appliance.example.com/api/v1/ciphers/lists" \
  -H "Authorization: Bearer $TOKEN"
PHP
<?php

$url = 'https://appliance.example.com/api/v1/ciphers/lists';
$headers = [
    'Authorization: Bearer ' . $token,
];

$ch = curl_init($url);
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => $headers,
    CURLOPT_RETURNTRANSFER => true,
]);

$response = json_decode(curl_exec($ch), true);
curl_close($ch);
Python
import requests

headers = {"Authorization": f"Bearer {token}"}

response = requests.get("https://appliance.example.com/api/v1/ciphers/lists", headers=headers)
response.raise_for_status()
print(response.json())
JavaScript
const response = await fetch('https://appliance.example.com/api/v1/ciphers/lists', {
  method: 'GET',
  headers: {
    Authorization: `Bearer ${token}`,
  },
});

const data = await response.json();
Response
{
  "status": "success",
  "message": "Ciphers Lists Retrieved Successfully",
  "data": {
    "ciphersLists": []
  }
}

POST /ciphers/lists

Add a new user cipher List

This change is staged. Send PUT /services/apply to apply it.

Body parameters
name string Required

The name/identifier for the cipher list. Must be unique.

ciphers array Required

An array of ciphers that will be used.

curl
curl -X POST "https://appliance.example.com/api/v1/ciphers/lists" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "<name>",
  "ciphers": [
    "<ciphers>"
  ]
}'
PHP
<?php

$url = 'https://appliance.example.com/api/v1/ciphers/lists';
$headers = [
    'Authorization: Bearer ' . $token,
    'Content-Type: application/json',
];

$payload = [
    'name' => '<name>',
    'ciphers' => [
        '<ciphers>',
    ],
];

$ch = curl_init($url);
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_HTTPHEADER => $headers,
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_POSTFIELDS => json_encode($payload),
]);

$response = json_decode(curl_exec($ch), true);
curl_close($ch);
Python
import requests

headers = {"Authorization": f"Bearer {token}"}
payload = {
    "name": "<name>",
    "ciphers": [
        "<ciphers>"
    ]
}

response = requests.post("https://appliance.example.com/api/v1/ciphers/lists", headers=headers, json=payload)
response.raise_for_status()
print(response.json())
JavaScript
const response = await fetch('https://appliance.example.com/api/v1/ciphers/lists', {
  method: 'POST',
  headers: {
    Authorization: `Bearer ${token}`,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
  "name": "<name>",
  "ciphers": [
    "<ciphers>"
  ]
}),
});

const data = await response.json();
Response
{
  "status": "success",
  "message": "User Cipher List added successfully",
  "data": {
    "cipherListID": "5d83863ae9ded"
  }
}

Cipher lists by ID

GET /ciphers/lists/{id}

Get a cipher list by id.

Path parameters
id string Required

The id of the list.

curl
curl -X GET "https://appliance.example.com/api/v1/ciphers/lists/{id}" \
  -H "Authorization: Bearer $TOKEN"
PHP
<?php

$url = 'https://appliance.example.com/api/v1/ciphers/lists/{id}';
$headers = [
    'Authorization: Bearer ' . $token,
];

$ch = curl_init($url);
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_HTTPHEADER => $headers,
    CURLOPT_RETURNTRANSFER => true,
]);

$response = json_decode(curl_exec($ch), true);
curl_close($ch);
Python
import requests

headers = {"Authorization": f"Bearer {token}"}

response = requests.get("https://appliance.example.com/api/v1/ciphers/lists/{id}", headers=headers)
response.raise_for_status()
print(response.json())
JavaScript
const response = await fetch('https://appliance.example.com/api/v1/ciphers/lists/{id}', {
  method: 'GET',
  headers: {
    Authorization: `Bearer ${token}`,
  },
});

const data = await response.json();
Response
{
  "status": "success",
  "message": "Cipher list retrieved successfully",
  "data": {
    "CiphersList": []
  }
}

PUT /ciphers/lists/{id}

Edit an existing ciphers lists

This change is staged. Send PUT /services/apply to apply it.

Path parameters
id string Required

The id of the list.

Body parameters
name string

The name/identifier for the cipher list. Must be unique.

ciphers array

An array of ciphers that will be used.

curl
curl -X PUT "https://appliance.example.com/api/v1/ciphers/lists/{id}" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "<name>",
  "ciphers": [
    "<ciphers>"
  ]
}'
PHP
<?php

$url = 'https://appliance.example.com/api/v1/ciphers/lists/{id}';
$headers = [
    'Authorization: Bearer ' . $token,
    'Content-Type: application/json',
];

$payload = [
    'name' => '<name>',
    'ciphers' => [
        '<ciphers>',
    ],
];

$ch = curl_init($url);
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'PUT',
    CURLOPT_HTTPHEADER => $headers,
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_POSTFIELDS => json_encode($payload),
]);

$response = json_decode(curl_exec($ch), true);
curl_close($ch);
Python
import requests

headers = {"Authorization": f"Bearer {token}"}
payload = {
    "name": "<name>",
    "ciphers": [
        "<ciphers>"
    ]
}

response = requests.put("https://appliance.example.com/api/v1/ciphers/lists/{id}", headers=headers, json=payload)
response.raise_for_status()
print(response.json())
JavaScript
const response = await fetch('https://appliance.example.com/api/v1/ciphers/lists/{id}', {
  method: 'PUT',
  headers: {
    Authorization: `Bearer ${token}`,
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
  "name": "<name>",
  "ciphers": [
    "<ciphers>"
  ]
}),
});

const data = await response.json();
Response
{
  "status": "success",
  "message": "Cipher List edited successfully",
  "data": {
    "userCipherList": {
      "id": "1234567890123",
      "cipherList": [
        "ECDHE-ECDSA-AES256-GCM-SHA384"
      ],
      "label": "testLabel"
    }
  }
}

DELETE /ciphers/lists/{id}

Delete a cipher list

This change is staged. Send PUT /services/apply to apply it.

Path parameters
id string Required

The id of the list.

curl
curl -X DELETE "https://appliance.example.com/api/v1/ciphers/lists/{id}" \
  -H "Authorization: Bearer $TOKEN"
PHP
<?php

$url = 'https://appliance.example.com/api/v1/ciphers/lists/{id}';
$headers = [
    'Authorization: Bearer ' . $token,
];

$ch = curl_init($url);
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'DELETE',
    CURLOPT_HTTPHEADER => $headers,
    CURLOPT_RETURNTRANSFER => true,
]);

$response = json_decode(curl_exec($ch), true);
curl_close($ch);
Python
import requests

headers = {"Authorization": f"Bearer {token}"}

response = requests.delete("https://appliance.example.com/api/v1/ciphers/lists/{id}", headers=headers)
response.raise_for_status()
print(response.json())
JavaScript
const response = await fetch('https://appliance.example.com/api/v1/ciphers/lists/{id}', {
  method: 'DELETE',
  headers: {
    Authorization: `Bearer ${token}`,
  },
});

const data = await response.json();
Response
{
  "status": "success",
  "message": "User Cipher list deleted successfully",
  "data": []
}